# Uses of Enum
org.eclipse.mat.ui.util.PaneState.PaneType

Packages that use PaneState.PaneType
Package
Description
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of PaneState.PaneType in org.eclipse.mat.ui.util

Methods in org.eclipse.mat.ui.util that return PaneState.PaneType
Modifier and Type
Method
Description
`PaneState.PaneType`
PaneState.`getType()`
`static PaneState.PaneType`
PaneState.PaneType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PaneState.PaneType[]`
PaneState.PaneType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.eclipse.mat.ui.util with parameters of type PaneState.PaneType
Modifier
Constructor
Description
``
`PaneState(PaneState.PaneType type, PaneState originator, String identifier, boolean reproducable)`